# &konsole; - uporabniški priročnik

Jonathan
Singer

    jsinger@leeta.net

Chris
Machemer

    machey@ptd.net

Vzdržuje
Michael
McBride
Recenzije

    mmcbride@ematic.com

Lauri
Watts
Recenzije

    vampyr@atconnex.net

Andrej
Vernekar

    andrej.vernekar@kiss.uni-lj.si

Prevod
2000
2001
Jonathan Singer
&FDLNotice;
2001-07-09
1.00.20

Ta dokument je uporabniški priročnik za program &konsole;.

&konsole; je X terminalski emulator za &kde; 2.0.

KDE
konsole
kdebase
command
line

## Uvod v &konsole;

&konsole; je X terminalski emulator, ki ponuja vmesnik ukazne vrstice (Command Line Interface - CLI) pri uporabi grafičnega okolja KDE. &konsole; pomaga k večji urejenosti na uporabnikovem namizju tako, da vsebuje več sej v enem oknu (manj nagneteno namizje).

Njegove napredne zmožnosti vključujejo preprosto nastavitev in zmožnost uporabe večih terminalskih lupin v enem oknu.

Z uporabo &konsole; lahko uporabnik odpre:

- seje &Linux; konzole

- Midnight Commander

- seje lupin

- seje korenske (Root) konzole

- Root Midnight Commander

Seje se lahko preimenujejo, da vam pomagajo slediti vsem vašim lupinam ali pa se jim pošlje signal (STOP, CONT, HUP, INT, TERM, KILL).

Za več nadzora nad &konsole; lahko uporabnik:

- skrije/prikaže menijsko vrstico, orodnno vrstico in/ali okvir

- izbere velikost okna &konsole;, pisave, barvne sheme, in nabor tipk

- spremeni lokacijo drsnika ali pa ga skrije

Vse izbrane opcije se lahko privzamejo za prihajajoče seje tako, da se shranijo.

### Zgodovina

Za tiste z globljim zanimanjem za taksonomijo prostih X terminalov naj povem tole: obstajata dve vrsti: xterm, ki je original, napisan celo pred X-i samimi (mesec ali dva) in xvt, lažji klon xterm-a, na katerem temelji večina drugih trenutno dosegljivih derivatov (omenim naj eterm).

Po dekadi je &konsole; prvi emulator spisan v celoti na novo. Medtem, ko je bil xterm definitivno shekan do smrti (njegov `README` se prične z besedami Opustite vso upanje, ki vstopate), ponuja &konsole; svež pričetek z uporabo trenutnih tehnologij in razumevanja X-ov.

## Uporaba &konsole;

### Zagon

Ko je &konsole; pognan teče v oknu program (tipično Unix lupina). Preprosto tipkajte na odzivniku.

&konsole; Screen
&konsole; Screen

### Zgodovina

Ko vrstice zdrsnejo preko vrha zaslona se lahko pregledajo s premikom drsnika navzgor ali z uporabo tipk ShiftPage Up (za premik stran nazaj), ShiftPage Down (za premik za eno stran naprej),ShiftNavzgor (premik navzgor za eno vrstico) in ShiftNavzdol (premik navzdol za eno vrstico). (V primeru, da je možnost "Zgodovina" vključena.)

### Tipke miške

Leva

  Klik na levi se preda kot dogodek programu, ki teče v emulaciji, če se ta zaveda miške. Če bo program reagiral na klike miške, prikaže &konsole; s prikazom puščičnega kurzorja. Če ne, je prikazan kurzor v obliki črke I (I-beam).

  Pritisk leve tipke in drsenje miške preko zaslona bo v miške se nezavedajočemu programu označilo območje besedila. Med vlečenjem je označeno besedilo za vidno povratno informacijo prikazano negativno obarvano. Takoj, ko je gumb spuščen, je označeno besedilo prepisano na odložišče za nadaljno uporabo znotraj &konsole; ali drugega programa.

  Običajno so prelomi vrstic vstavljeni na koncu vsake označene vrstice. To je praviloma najbolje za kopiranje in prilepljanje izvorne kode ali izpisa ukazov. Za običajno besedilo pa prelomi vrstic pogosto niso pomembni. Želeli bi si, da bi bilo besedilo tok znakov, ki bodo samodejno preoblikovani kadar bodo prilepljeni v drug program. Da izberete način besedilnega toka (text-stream mode), držite med običajnim označevanjem tipko Ctrl.

  Če sta med označevanjem dotaknjena zgornji ali spodnji rob območja besedila &konsole; drsi navzgor ali navzodol in tako razkrije besedilo v pomnilniku zgodovine. Drsenje se ustavi takoj, ko premaknete miško.

  Potem ko izpustu tipke miške namerava &konsole; obdržati besedilo ki je v odložišču vidno tako, da drži obarvanje označenega območja negativno. Označeno območje se se spremeni nazaj kadar se spremeni vsebina odložišča, besedilo znotraj označenega območja ali pa kliknete na levi gumb miške.

  Da označite besedilo v miške se zavedajoči aplikaciji mora biti ob kliku hkrati pritisnjena tipka shift.

Srednja

  Pritisk na srednjo tipko prilepi besedilo, ki je trenutno v odložišču.

  Če imate miško z le dvema tipkama, pritisk na levo in desno tipko hkrati emulira srednjo tipko miške s tremi tipkami.

Desna

  Desna tipka odpre menu Settings. Kombinacija &Ctrl;desna tipka miške prikaže menu File, medtem ko &Shift; desna tipka miške prikaže menu Sessions.

### Izbirna vrstica

Menujska vrstica je na vrhu okna &konsole;. Lahko se skrije in prikaže s prelapljanjem Prikaži izbirno letev v menuju Možnosti. Ko je menujska vrstica skrita, lahko Prikaži izbirno letev dosežete z desnim klikom na oknu.

#### Menu Datoteka

Datoteka Linux Console

  Odpre novo sejo z emulacijo tekstnega Linux sistema.

  (Preberite `README.linux.console` v paketu izvorne kode &konsole; za podrobne informacije o tem, kako se &Linux; konzola razlikuje od tipične &UNIX; konzole.)

Datoteka Midnight Commander

  Odpre novo sejo z grafičnim pregledovalnikom datotek Midnight Commander

Datoteka Ukazna lupina

  Odpre novo sejo z treminalsko lupino

Datoteka Konzola superuporabnika

  Odpre novo sejo s terminalsko lupino, kot uporabnik root.

  Po zahtevi za geslo root-a, se pojavi pozivnik #, ki nakazuje, da uporabnik dela s privilegiji korenskega uporabnika (root). To je pogosto potrebno za nameščanje nove programsek opreme in drugo vzdrževanje sistema, vendar je potrebna previdnost, da se izognemo naklučni škodi.

Datoteka Root Midnight Commander

  Odpre novo sejo z grafičnim pregledovalnikom datotek Midnight Commander in sicer kot root.

  Po zahtevi za geslo, se pojavi pozivnik #, pod oknom brskalnika, ki nakazuje, da uporabnik dela s privilegiji korenskega uporabnika (root). To je pogosto potrebno, vendar je potrebna previdnost, da se izognemo naključni škodi.

Datoteka Končaj

  Konča &konsole;, zapre vse seje in katerikoli program pognan iz nje.

Novo sejo lahko odprete tudi s pomočjo tipk. Privzeto se uporablja AltCtrlN. Definirate lahko tudi svojo bližnjico za lansiranje nove terminalske lupine. Datoteke s končnico `*.keytab` v imeniku `$`KDEDIR`/share/apps/konsole` definirajo bližnjice s pomočjo tipk.

Dodajanje definicije `key F12 + Shift : newSession` v aktivno datoteko keytab povzroči, da se ob pritisku na &Shift;F12 požene nova lupina. Uporabite menujski ukaz Settings Keyboard za izbiro datoteke keytab. Datoteka `README.KeyTab` vsebuje informacije o definiranju bližnjic.

#### Menu Seje

Seje Pošlji signal

  Pošlji signal - pošlje specificirani signal lupinskemu procesu ali drugemu procesu, ki je bil pognan, ko je bila pričeta nova seja.

  Trenutno dosegljivi signali so:

  STOP | ustavi proces
  CONT | nadaljuj, če ustavljeno
  HUP | zaznan hangup na nadzorovanem terminalu ali smrt nadzorovanega procesa
  INT | prekinitev s tipkovnice
  TERM | zaustavitveni signal (tremination)
  KILL | signal ubij (kill)

  O nadaljnih podrobnostih se pozanimajte v vašem sistemskem priročniku z uporabo ukaza ``man``7 signal``.

Seje Preimenuj sejo...

  Spremeni ime aktivne seje

Seje Ikone sej...

  Na dnu menuja je seznam vseh dosegljivih sej. Izbira ene izmed njih jo aktivira.

  Lahko pa uporabite ShiftLevo/ShiftDesno za kroženje med dosegljivimi sejami.

#### Menu Možnosti

Možnosti Preimenuj sejo...

  Spremeni ime aktivne seje

Možnosti Pokaži izbirno letev

  Prikaže ali skrije menubar

Možnosti Pokaži orodjarno

  Prikaže ali skrije orodjarno

Možnosti Pokaži okvir

  Prikaže ali skrije okvir ob strani okna

Možnosti Drsnik

  Nadzira položaj drsnika: brez, levo ali desno

Možnosti Polni zaslon

  Preklaplja okno med celim zaslonom (full-screen) in normalno velikostjo

Možnosti Velikost

  Postavi velikost tekstovnega področja (podan v stolpcih x vrsticah)

Možnosti Pisave

  Postavi velikost pisave

  Izberite možnost Custom, da uporabite katerokoli kombinacijo pisave, velikost in stila. Datoteka `README.fonts` v paketu izvorne kode za &konsole; vam poda namige, katere pisave so uporabne.

Možnosti Shema

  Določi barvo besedila in ozadja

  Seznam teh shem je vzet iz `$KDEDIR/share/apps/konsole/*.schema`. Datoteka `$KDEDIR/share/apps/konsole/README.Schema` opisuje format shem podrobneje. Dodajte možnosti oziroma spremenite datoteke, da ustrežete svojim željam. Poljubno shemo lahko ustvarite v modulu nadzornega središča Sistem Konsole.

Možnosti Zgodovina

  Preklaplja shranjevanje vrstic, ki so zdrsele preko vrha zaslona

Options Codec

  Še ni implementirano

Možnosti Tipkovnica

  Izbere željen nabor tipk (keymapping)

  Seznam naborov je vzet iz `$KDEDIR/apps/konsole/*.keymap`. Datoteka `$KDEDIR/share/apps/konsole/README.KeyTab` podrobneje opisuje format keytab. Da ustrežete svojim potrebam dodajte ali spremenite te datoteke.

Settings Word Separators

  Specify characters that will be recognized as separators between words

  This affects what text will be selected when you double-click on text. It is most important for non-Western text encodings.

Možnosti Warn for Open Sessions on Quit

  Kadar je nastavljena, se pojavi opozorilo ko poskušate zapreti okno &konsole; z več sejami.

Možnosti Shrani izbire

  Shrani trenutne nastavitve kot nove privzete

#### Menu Pomoč

F1 Pomoč Vsebina

  Odpre kazalo tega dokumenta

Pomoč Tehnična referenca ...

  Podrobna informacija o treminalski emulaciji in &konsole;

Pomoč Poročaj o hrošču ...

  Posreduje poročilo o hrošču v &konsole;

Pomoč O programu Konsole ...

  Informacija o avtorju &konsole;

Pomoč O KDE ...

  Informacije o KDE projektu

### Orodna vrstica

Orodna vrstica je na dnu okna &konsole;.

Lahko se skrije in prikaže s preklapljanjem Pokaži izbirno letev v menuju Možnosti ali s klikom teksturirane ročice na strani letve. Letev vsebuje ikono Nov in ikone za trenutne seje. Klik na Nov odpre novo (lupinsko) sejo.

Klik na ikono obstoječe seje jo aktivira.

Ko je opravilna letev skrita, se lahko Shift Levo in Shift Desno uporabijo za premikanje med sejamo.

### Možnosti ukazne vrstice

Ko je &konsole; pognan iz ukazne vrstice, lahko specificiramo različne opcije, da spremenimo njegovo obnašanje.

`--help`

  Našteje različne opcije

`--name`

  Postavi ime, ki se pojavi v naslovni letvi

`--ls`

  Zaženi prijavno lupino

`--nowelcome`

  Zaduši sporočilo "Welcome to &konsole;", ki se običajno pojavi v naslovni letvi

`-T,--title`

  Postavi naslov okna

`--xwin`

  Ignoriran

`--nohist`

  Onemogoči shranjevanje vrstic, ki zdrsijo preko vrha okna

`--notoolbar`

  Poženi &konsole; brez orodne vrstice

`--vt_sz` `CCxLL`

  Poženi terminalsko okno CC stolpcev in LL vrstic

`-e` `command`

  Izvedi `ukaz` namesto lupine

Na primer:

    bash$ konsole
     --vt_sz 90x25
     --nohist

odpre okno &konsole; z 90 stolpci in 25 vrsticami, brez zgodovine

&konsole; prav tako sprejme generične &Qt; in KDE opcije:

`--help-qt`

  Naštej Qt specifične opcije

`--help-kde`

  Naštej KDE specifične opcije

`--help-all`

  Naštej vse opcije

`--author`

  Prikaži ime avtorjev

`-v,--version`

  Prikaži številko različice

`--license`

  Prikaži informacije o licenci

## Zahvale in Copyright

&konsole; vzdržuje Chris Machemer machey@ptd.net

Program &konsole; copyright 1997-2000 Lars Doelle lars.doelle@on-line.de

Ta dokument je napisal Jonathan Singer jsinger@genome.wi.mit.edu

Pretvorbo v DocBook SGML sta opravila Michael McBride mmcbride@ematic.com in Lauri Watts vampyr@atconnex.net

Prevod: Andrej Vernekar andrej.vernekar@kiss.uni-lj.si

&underFDL; &underGPL;

## Namestitev

&konsole; je del osnovnih paketov &kde; 2.0. Samodejno bo namešečen skupaj z vašo &kde; namestitvijo in potrebuje &kde; 2.0 za delovanje.

Za več informacij obiščite spletno stran &kde; na http://www.kde.org/

Da dobite &konsole; ločeno ga naložite, prevedite in namestite, kot je je nakazano v paketovem glavnem imeniku. Nove različice kdebase lahko dobite na ftp://ftp.kde.org/pub/

Da izgradite &konsole;:

    $  cd kdebase/konsole
    $  ./configure
    $  make
    Potem vtipkate kot root:
    #  makeinstall

Informacije o izgradnji &konsole; na drugih platformah poleg &Linux;a so dosegljive v datoteki `README.ports` v paketu izvorne kode za &konsole;. Ponuja seznam strokovnjakov za posamezne platforme (Tru64, Solaris, OpenBSD) in naproša prostovoljce z drugih platform &UNIX;-a.

&documentation.index;